# Uses of Class
com.google.protobuf.TextFormatParseLocation

Packages that use TextFormatParseLocation
Package
Description
com.google.protobuf

## Uses of TextFormatParseLocation in com.google.protobuf

Fields in com.google.protobuf declared as TextFormatParseLocation
Modifier and Type
Field
Description
`static final TextFormatParseLocation`
TextFormatParseLocation.`EMPTY`
The empty location.
Methods in com.google.protobuf that return TextFormatParseLocation
Modifier and Type
Method
Description
`TextFormatParseLocation`
TextFormatParseInfoTree.`getLocation(Descriptors.FieldDescriptor fieldDescriptor, int index)`
Get the location in the source of a field's value.
Methods in com.google.protobuf that return types with arguments of type TextFormatParseLocation
Modifier and Type
Method
Description
`List<TextFormatParseLocation>`
TextFormatParseInfoTree.`getLocations(Descriptors.FieldDescriptor fieldDescriptor)`
Retrieve all the locations of a field.
Methods in com.google.protobuf with parameters of type TextFormatParseLocation
Modifier and Type
Method
Description
`TextFormatParseInfoTree.Builder`
TextFormatParseInfoTree.Builder.`setLocation(Descriptors.FieldDescriptor fieldDescriptor, TextFormatParseLocation location)`
Record the starting location of a single value for a field.